error code 100 during installation

Wanted to install haproxy, here is the error report

DietPi v159
bananapi a20

screenshot ssh:
https://drive.google.com/open?id=1Q6N9GfQOUx8wVRX6-tUWwbC-_XYVFnH8

Log:

      GNU nano 2.2.6                            File: /etc/dietpi/logs/dietpi-software_apt.log                                                             
     
    Preconfiguring packages ...
    (Reading database ... ^M(Reading database ... 5%^M(Reading database ... 10%^M(Reading database ... 15%^M(Reading database ... 20%^M(Reading database ..$
    Preparing to unpack .../libc6_2.19-18+deb8u10_armhf.deb ...
     
    LD_LIBRARY_PATH contains the traditional /lib directory,
    but not the multiarch directory /lib/arm-linux-gnueabihf.
    It is not safe to upgrade the C library in this situation;
    please remove the /lib/directory from LD_LIBRARY_PATH and
    try again.
     
    dpkg: error processing archive /var/cache/apt/archives/libc6_2.19-18+deb8u10_armhf.deb (--unpack):
     subprocess new pre-installation script returned error exit status 1
    Errors were encountered while processing:
     /var/cache/apt/archives/libc6_2.19-18+deb8u10_armhf.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)

Try:

unset LD_LIBRARY_PATH

Or according to the duplicate mentioned here: https://dietpi.com/forum/t/solved-unable-to-upgrade-to-stretch-on-rpi/1724/1

export LD_LIBRARY_PATH=/lib/arm-linux-gnueabihf

Related issue on github: https://github.com/Fourdee/DietPi/issues/1329